Package org.gradle.language.cpp

# Interface CppSharedLibrary

All Superinterfaces:
  `CppBinary`, `Named`, `SoftwareComponent`

@Incubating public interface CppSharedLibrary extends CppBinary
A shared library built from C++ source.

Since:
  4.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Field Summary

### Fields inherited from interface org.gradle.language.cpp.CppBinary

`DEBUGGABLE_ATTRIBUTE`

## Method Summary

Modifier and Type
Method
Description
`Provider<RegularFile>`
`getLinkFile()`
Returns the link-time file for this binary.
`Provider<RegularFile>`
`getRuntimeFile()`
Returns the run-time file for this binary.

### Methods inherited from interface org.gradle.language.cpp.CppBinary

`getBaseName, getCompileIncludePath, getCppSource, getLinkLibraries, getObjects, getRuntimeLibraries, isDebuggable`

### Methods inherited from interface org.gradle.api.Named

`getName`

## Method Details

### getLinkFile

Provider<RegularFile> getLinkFile()
Returns the link-time file for this binary.

Since:
  4.4

### getRuntimeFile

Provider<RegularFile> getRuntimeFile()
Returns the run-time file for this binary.

Since:
  4.4